<?php
/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is http://www.sa-mods.info
 *
 * The Initial Developer of the Original Code is
 * wayne Mankertz.
 * Portions created by the Initial Developer are Copyright (C) 2008-2011
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * ***** END LICENSE BLOCK ***** */

// If not in smf then this could be a hacking attempt?
if (!defined('SMF'))
      die('Hacking attempt...');
	  
global $sourcedir;
	require_once($sourcedir . '/Affiliates_db.php');
	
function affiliates_admin()
{
	global $context, $smcFunc, $sourcedir, $user_info, $txt;

	require_once($sourcedir . '/ManageServer.php');

       // Set title and default sub-action.
	   loadTemplate('Affiliates_Admin');
	   // Load the language strings
	   loadLanguage('Affiliates');
		$context['sub_template'] = 'show_settings';
        $context['page_title'] = $txt['Affiliatesconfig'];
		
	$context[$context['admin_menu_name']]['tab_data']['title'] = $txt['Affiliates_Admin'];
	$context[$context['admin_menu_name']]['tab_data']['description'] = $txt['Affiliates_Admin_desc'];

	$subActions = array(
	    'config' => 'affiliates_config',
		'affiliates' => 'affiliates_affiliates',
		'add' => 'affiliates_affiliatesEdit_Add',
		'edit' => 'affiliates_affiliatesEdit_Add',
		'save' => 'affiliates_affiliatesEdit_Add',
		'delete' => 'affiliates_delete',
		'deleteyb' => 'affiliatesyb_delete',
		'approve' => 'affiliateApprove',
		'affiliatesalist' => 'affiliateApproveList',
		'affiliatesyb' => 'affiliatesyb',
		'deleteyb' => 'affiliates_deleteyb',
		'addyb' => 'affiliatesAddyb',
		'unapprove' => 'unApprove',
		'version' => 'Affiliates_version',
		
	);

	$_REQUEST['sa'] = isset($_REQUEST['sa']) && isset($subActions[$_REQUEST['sa']]) ? $_REQUEST['sa'] : 'config';
	$subActions[$_REQUEST['sa']]();	
}

function Affiliates_version()
{
    // Must global it otherwise we get erros
	global $txt, $scripturl, $context;
	
	$context['sub_template'] = 'version';
	$context['page_title'] = $txt['v_c'];
	

}
	  
function affiliates_config($return_config = false)
{
    // Must global it otherwise we get erros
	global $txt, $scripturl, $context, $sourcedir, $modSettings, $db_prefix;
	
	// We need this 
	require_once($sourcedir.'/ManageServer.php');
	$context['sub_template'] = 'show_settings';
	
	$config_vars = array(
		///array('check', 'enable_affiliates'),
		array('check', 'enable_capacha_affiliates'),
		//array('select', 'affiliates_pagerank', range(83,98)),
	    '',
		array('check', 'enable_noptify'),
		array('check', 'enable_noptify2'),
		array('check', 'enable_noptify3'),
	    '',
		array('select', 'affsort', array($txt['date'], $txt['title'], $txt['inhits'], $txt['outhits'], $txt['rating'], $txt['m.real_name'], $txt['datelast'])),
	    array('select', 'affsort2', array($txt['ASC'], $txt['DESC'])),
		'',
		array('check', 'enable_affiliatesboard'),
		array('int', 'How_Fast_To_Scroll'),
		array('int', 'How_Fast_To_Scrollmo'),
		array('select', 'scrolldirection', array($txt['scrollleft'], $txt['scrollright'])),
	    '',
		array('check', 'enable_date_submitted'),
		array('check', 'enable_submittedby'),
		array('check', 'enable_last_updated'),
		array('check', 'enable_Googlerank'),
		array('check', 'enable_Rating'),
		array('check', 'enable_in_Clicks'),
		array('check', 'enable_out_Clicks'),		
		'',	
		array('int', 'imageresizer_max_width'),
		array('int', 'imageresizer_max_height'),
		'',
		array('large_text', 'affiliates_reqirments', '8', &$txt['affiliates_reqirments'], 'affiliates_reqirments'),
		'',
		);
		
		$config_vars[] = '<a href="' . $scripturl . '?action=admin;area=permissions">'.$txt['aff_s_gp'].'</a>';
	
	if (isset($_GET['save']))
	{
		saveDBSettings($config_vars);
		redirectexit('action=admin;area=affiliates');
	}
	$context['post_url'] = $scripturl .'?action=admin;area=affiliates;save;sa=config';
	$context['settings_title'] = $txt['Config_Affiliates'];
	prepareDBSettingContext($config_vars);	
}

function affiliates_affiliatesEdit_Add()
{
	global $smcFunc, $context, $txt;

	isAllowedTo('admin_forum');

	Affiliates_addedit();

	$context['page_title'] = !empty($context['affiliates']['id']) ? $txt['affiliates_edit_title'] : $txt['affiliates_add_title'];
	$context['sub_template'] = 'affiliatesEdit_Add';	
}

function affiliates_affiliates() {

// Must global it otherwise we get erros
   global $smcFunc, $scripturl, $modSettings, $txt, $affiliates_request, $context, $settings, $options;
 
  // The subtemplate multiplayer_admingames
  $context['sub_template'] = 'affiliates_adminaffiliates';
  $context['page_title'] = $txt['Affiliatesconfig2'];
  
	Affiliates_list();

	// Set the value of the callback function.
	$context['get_affiliatesa'] = 'getaffiliatesaEntry';	
}

// Call-back function for the template to retrieve a row of affiliates data.
function getaffiliatesaEntry($reset = false)
{
	// Gotta global it other wise thing dont work properly
	global $smcFunc, $scripturl, $affiliates_request, $txt, $context;

	if ($affiliates_request == false)
		return false;

	if (!($row = $smcFunc['db_fetch_assoc']($affiliates_request)))
		return false;

	$output = array(
		'id_affiliates' => $row['id_affiliates'],
		'title' => $row['title'],
		'description' => $row['description'],
		'image' => $row['image'],
		'url' => $row['url'],
		'approved' => $row['approved'],
			
	);

	return $output;	
}

function affiliateApprove()
{
	global $smcFunc;
	
	Affiliates_approve();

	redirectexit('action=admin;area=affiliates;sa=affiliates');
}

// lets delete some stuff if we dont need it 
function affiliates_delete(){

// Gotta global it other wise thing dont work properly
global $smcFunc,$txt, $scripturl, $context, $sourcedir, $modSettings, $db_prefix;
	
	Affiliates_quikedel();
	
		redirectexit('action=admin;area=affiliates;sa=affiliates');		
}

function affiliatesyb() {

// Must global it otherwise we get erros
   global $smcFunc, $scripturl, $modSettings, $yb_request, $context, $settings, $txt, $options;
 
 
 // Set title and default sub-action.
 $context['sub_template'] = 'affiliatesyb';
 $context['page_title'] = $txt['Affiliatesconfig4'];
 
	 Affiliates_banners1();

	// Set the value of the callback function.
	$context['get_affiliatesyb'] = 'getaffiliatesybEntry';
}

// Call-back function for the template to retrieve a row of yourbanners  data.
function getaffiliatesybEntry($reset = false)
{
	// Gotta global it other wise thing dont work properly
	global $smcFunc, $scripturl, $yb_request, $txt, $context;

	if ($yb_request == false)
		return false;

	if (!($row = $smcFunc['db_fetch_assoc']($yb_request)))
		return false;

	$output = array(
		'id' => $row['id'],
		'image' => $row['image'],
			
	);

	return $output;
}

function affiliates_deleteyb()
{

// Gotta global it other wise thing dont work properly
global $smcFunc,$txt, $scripturl, $context, $sourcedir, $modSettings, $db_prefix;
	
	Affiliates_quikedebanners();
	
		redirectexit('action=admin;area=affiliates;sa=affiliatesyb');		
}

function affiliatesAddyb()
{
	global $smcFunc, $context, $txt;

	isAllowedTo('admin_forum');
	
	Affiliates_addbanners();
		
		redirectexit('action=admin;area=affiliates;sa=affiliatesyb');
	}


function unApprove()
{
	global $smcFunc;
	
	Affiliates_unapporve();

	redirectexit('action=admin;area=affiliates;sa=affiliates');
}
?>