<?php
/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is http://www.sa-mods.info
 *
 * The Initial Developer of the Original Code is
 * wayne Mankertz.
 * Portions created by the Initial Developer are Copyright (C) 2008-2011
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * ***** END LICENSE BLOCK ***** */
// Main page template
function template_main() {

// Gotta global it other wise thing dont work properly
	global  $context, $settings, $scripturl,  $user_info, $affiliates_request, $txt,  $modSettings;
				
	if(empty($modSettings['enable_affiliates'])) 
  fatal_error($txt['error4'], false);
  {
  
  // Setup their permissions
		    $rateaffiliates = allowedTo('rate_affiliates');		
			$editlink_own = allowedTo('edit_afflinks');
			$editlink_any = allowedTo('edit_afflinks_any');
			$deletelink_any = allowedTo('delete_afflinks_any');
			$unapprovelinks = allowedTo('unapprove_afflinks');
			$reportaffiliates = allowedTo('report_affiliates');
			$max_width = isset($modSettings['imageresizer_max_width']) && !empty($modSettings['imageresizer_max_width']) ? $modSettings['imageresizer_max_width'] : 0;
            $max_height = isset($modSettings['imageresizer_max_height']) && !empty($modSettings['imageresizer_max_height']) ? $modSettings['imageresizer_max_height'] : 0;
	    if (!empty($max_width) || !empty($max_height))
	   echo'<script type="text/javascript">
		<!--
		function resize(which) {
		  var elem = document.getElementById(which);
		  if (elem == undefined || elem == null) return false;
		  if (elem.width > elem.height) 
		  {
		    if (elem.width > '.$max_width.' &&  '.$max_width.' != 0) elem.width = '.$max_width.';
		  } 
		  else
		  {
		    if (elem.height > '.$max_height.' &&  '.$max_height.' != 0) elem.height = '.$max_height.';
		  }
		}// --></script>';
			
	template_affiliates_menu();
	echo'<div class="cat_bar">
							<h3 class="catbg">

				<span><b>', $txt['Pages'], '</b> ', $context['page_index'], '</span>
			</h3>
						</div>
';
	while ($row = $context['get_affiliates']())
     {
	echo '<span class="upperframe"><span><!-- // --></span></span>
				<div class="roundframe">
				
	<table class="table_list">
		<tbody class="header">
			<tr>
				<td colspan="2" class="catbg">
					<div class="cat_bar">
							<h3 class="catbg">

					<a href="', $scripturl, '?action=affiliates;sa=out;idaff=', $row['idaff'],'" target="_blank">', $row['title'],'</a>&nbsp;&nbsp;';
			if ($editlink_any || ($editlink_own && $user_info['id'] == $row['idmem']))
				echo '<a href="' . $scripturl . '?action=affiliates;sa=editLink;affid=' . $row['idaff'] . '"><img src="' , $settings['images_url'] , '/user_edit.png"  alt="', $txt['editaffili'], '" /></a>&nbsp;';
				
			if ($deletelink_any || $user_info['id'] == $row['idmem'])
				echo '<a href="' . $scripturl . '?action=affiliates;sa=delete;affid=' . $row['idaff'] . '"><img src="' , $settings['images_url'] , '/delete.png"  alt="', $txt['delaffili'], '" /></a>&nbsp;';
			
			if ($unapprovelinks)
				echo '<a href="' . $scripturl . '?action=affiliates;sa=unapproveaff;aff=' . $row['idaff'] . '"><img src="' , $settings['images_url'] , '/lock.png"  alt="', $txt['noapaffili'], '" /></a>&nbsp;';
			if ($reportaffiliates)
			echo '&nbsp;<a href="' . $scripturl . '?action=affiliates;sa=report;aff=', $row['idaff'],'"><img src="' , $settings['images_url'] , '/report_link.png"  alt="', $txt['rplink'], '" /></a>&nbsp;';
                echo'<a href="' . $scripturl . '?action=affiliates;sa=veiwaff;aff=', $row['idaff'],'">
				<img src="', $settings['images_url'], '/magnifier.png"  alt="'.$txt['aff_vistit_affiliates_link'].'" border="0" /></a>
				</h3>
						</div>

				</td>
			</tr>
		</tbody>
		<tbody class="content">';
		echo '			<tr class="windowbg2">
				<td width="50%" align="center">
				<a href="', $scripturl, '?action=affiliates;sa=out;idaff=', $row['idaff'],'" target="_blank">
							<img src="', $row['image'],'"  title="', $row['description'],'" alt="', $row['description'],'" id="aff_image_', $row['idaff'],'" onload="resize(\'aff_image_', $row['idaff'],'\')" /></a>
					';// Setup their permissions
				if($rateaffiliates)
                         {
						   if (!empty($modSettings['enable_Rating'])) {
				echo ' 
						<br /><a href="' . $scripturl . '?action=affiliates;sa=rateaff;value=1;aff=', $row['idaff'],'">
						<img src="', $settings['images_url'], '/thumb_up.png"  alt="', $txt['GoodaffLink'], '" border="0" /></a>&nbsp;&nbsp;
						<a href="' . $scripturl . '?action=affiliates;sa=rateaff;value=0;aff=', $row['idaff'],'">
						<img src="', $settings['images_url'], '/thumb_down.png"  alt="', $txt['BadaffLink'], '" border="0" /></a>';
					        }
						 }
				echo'</td>
				<td>';
		echo '<table width="100%" cellspacing="0">';
		echo '<tr class="windowbg2">
					<td>'; if (!empty($modSettings['enable_submittedby'])) {	
				echo '	<b>', $txt['Submittedon'], ': </b>';if($row['real_name'] != '')
				echo '<a href="' . $scripturl . '?action=profile;u=' . $row['idmem'] . '">'  . $row['real_name'] . '</a><br />';
				            }
				             if (!empty($modSettings['enable_date_submitted'])) {		
				echo '<b>', $txt['Submitted'], ':</b> ' . timeformat($row['date']) . '<br />';
						    }	
				 if (!empty($modSettings['enable_last_updated'])) {		
				echo '<b>', $txt['Last_updated'], ':</b> ' . timeformat($row['datelast']) . '<br />';
							}echo'</td>
					<td>'; if (!empty($modSettings['enable_Rating'])) {							
				echo '<b>', $txt['Rating'], ':</b> ', $row['rating'],'<br />';
							}
							 if (!empty($modSettings['enable_in_Clicks'])) {	
				echo '<b>', $txt['In_Clicks'], ':</b> ', $row['inhits'],'<br />';
							}
							 if (!empty($modSettings['enable_out_Clicks'])) {
				echo '<b>', $txt['Out_Clicks'], ':</b> ', $row['outhits'],'<br />';
							}	echo'</td>
					<td>';  if (!empty($modSettings['enable_Googlerank'])) {	
          						 
				echo ' <a 
href="http://www.searchmarketingsales.com" 
target="_blank"><img 
src="http://www.searchmarketingsales.com/pa
gerank/style5/page_rank.pl?uri='.$row['url'].'"
alt="Google Page Rank"
width="80" height="25" border="0" /></a>
			
				<br /><br />';
							}echo'</td>
				</tr>
		
		
		
		

		</table>
				</td>
			</tr>';
	
	echo '
		</tbody>
		
	
	</table></div>
	<span class="lowerframe"><span><!-- // --></span></span>';
		}
		echo'<div class="cat_bar">
							<h3 class="catbg">

				<span><b>', $txt['Pages'], '</b> ', $context['page_index'], '</span>
			</h3>
						</div>

';
	
			template_affiliates_copyright();
 		}		 
}

function template_aff_users_aff()
{
	global $scripturl, $user_info,$modSettings, $settings, $context, $txt;


	template_affiliates_menu();
	$editlink_own = allowedTo('edit_afflinks');
	$editlink_any = allowedTo('edit_afflinks_any');
	if(!empty($context['myaff'])){
			echo '<span class="upperframe"><span><!-- // --></span></span>
				<div class="roundframe">';
				echo''.$txt['affiliates_You_have'].' '.$context['affiliates_totalaffs'].' '.$txt['affiliatesad'].'';
				echo'<br />';
				echo''.$context['affiliates_totalaffs3'].' '.$txt['affiliates_Apprved'].'';
				echo'<br />';
				echo''.$context['affiliates_totalaffs2'].' '.$txt['affiliates_Apprved3'].'';
			echo'</div>
	<span class="lowerframe"><span><!-- // --></span></span>';
				
	foreach ($context['myaff'] as $row){
	echo '<span class="upperframe"><span><!-- // --></span></span>
				<div class="roundframe">';
	
	echo'<table class="table_grid" cellspacing="0" width="100%">
		 
		<tbody class="header">
			<tr>
				<td>
					<div class="cat_bar">
							<h3 class="catbg">

				<span>
					'.$row['title'].'&nbsp;&nbsp;';if ($editlink_any || ($editlink_own && $user_info['id'] == $row['idmem']))
				echo '<a href="' . $scripturl . '?action=affiliates;sa=editLink;affid=' . $row['id_affiliates'] . '">
				<img src="' , $settings['images_url'] , '/user_edit.png"  alt="', $txt['editaffili'], '" /></a>&nbsp;';
				echo'</span>
			</h3>
						</div>
</td>
			</tr>
		</tbody>';
	echo'
	</table>';
	$max_width = isset($modSettings['imageresizer_max_width']) && !empty($modSettings['imageresizer_max_width']) ? $modSettings['imageresizer_max_width'] : 0;
            $max_height = isset($modSettings['imageresizer_max_height']) && !empty($modSettings['imageresizer_max_height']) ? $modSettings['imageresizer_max_height'] : 0;
	    if (!empty($max_width) || !empty($max_height))
	   echo'<script type="text/javascript">
		<!--
		function resize(which) {
		  var elem = document.getElementById(which);
		  if (elem == undefined || elem == null) return false;
		  if (elem.width > elem.height) 
		  {
		    if (elem.width > '.$max_width.' &&  '.$max_width.' != 0) elem.width = '.$max_width.';
		  } 
		  else
		  {
		    if (elem.height > '.$max_height.' &&  '.$max_height.' != 0) elem.height = '.$max_height.';
		  }
		}// --></script>';
		echo'<table class="table_grid" cellspacing="0" width="100%">	
		<tbody class="content">
				<tr class="windowbg2">
					<td><img src="', $row['image'],'"  id="aff_image_', $row['id_affiliates'],'" onload="resize(\'aff_image_', $row['id_affiliates'],'\')" width="250" height="50" title="', $row['description'],'" alt="', $row['description'],'" /><br /><br />', $row['description'], '<br /><br />';if($row['approved']== '0'){echo'<img src="' , $settings['images_url'] , '/delete.png"  alt="" />&nbsp;<font color="red">'.$txt['affiliates_Apprved2'].'</font>';}else{echo'<img src="' , $settings['images_url'] , '/tick.png"  alt="" />&nbsp;<font color="green">'.$txt['affiliates_Apprved'].'</font>';}echo'</td>
					<td><a href="', $scripturl, '?action=affiliates;sa=myaffiliates;text_link">'.$txt['affiliates_text_link_code'].'</a>
					<br /><a href="', $scripturl, '?action=affiliates;sa=myaffiliates;image_link">'.$txt['affiliates_image_link_code'].'</a>';
					if(isset($_GET['text_link'])){
	                    echo'<br /><textarea name="linkus_1" cols="40" rows="3" readonly="readonly"><a href="', $scripturl, '?action=affiliates;sa=in;idaff=' . $row['id_affiliates'] . '">'.$context['forum_name'].'</a></textarea>';
                    }
					if(isset($_GET['image_link'])){
	                    echo'<br /><textarea name="linkus_2" cols="40" rows="5" readonly="readonly"><a href="', $scripturl, '?action=affiliates;sa=in;idaff=' . $row['id_affiliates'] . '"><img src="' . $context['banner']. '" alt="'.$context['forum_name'].'" /></a></textarea>';
                    }
					echo'
					</td>
				</tr>
		  </tbody>
		';
		
		echo'
	</table>';

	echo'</div>
	<span class="lowerframe"><span><!-- // --></span></span>';
		}
		}
		else
		{
		echo '<span class="upperframe"><span><!-- // --></span></span>
				<div class="roundframe">';
		echo'<div align="center">'.$txt['affiliates_None_you'].'</div>';
		echo'</div>
	<span class="lowerframe"><span><!-- // --></span></span>';
		}
  
template_affiliates_copyright();
}

function template_affveiw()
{
	global $scripturl, $settings, $user_info, $txt, $modSettings, $context;
    
	template_affiliates_menu();
	  $rateaffiliates = allowedTo('rate_affiliates');		
			$editlink_own = allowedTo('edit_afflinks');
			$editlink_any = allowedTo('edit_afflinks_any');
			$deletelink_any = allowedTo('delete_afflinks_any');
			$unapprovelinks = allowedTo('unapprove_afflinks');
			$reportaffiliates = allowedTo('report_affiliates');
	echo '<span class="upperframe"><span><!-- // --></span></span>
				<div class="roundframe">';
	foreach ($context['veiwaff'] as $file)
	echo'<table class="table_list">
		<tbody class="header">
			<tr>
				<td>
					<div class="cat_bar">
							<h3 class="catbg">

					'.$file['title'].'', $file['link'], '	';if ($editlink_any || ($editlink_own && $user_info['id'] == $file['idmem']))
				echo '<a href="' . $scripturl . '?action=affiliates;sa=editLink;affid=' . $file['id_affiliates'] . '"><img src="' , $settings['images_url'] , '/user_edit.png"  alt="', $txt['editaffili'], '" /></a>&nbsp;';
				
			if ($deletelink_any || $user_info['id'] == $file['idmem'])
				echo '<a href="' . $scripturl . '?action=affiliates;sa=delete;affid=' . $file['id_affiliates'] . '"><img src="' , $settings['images_url'] , '/delete.png"  alt="', $txt['delaffili'], '" /></a>&nbsp;';
			
			if ($unapprovelinks)
				echo '<a href="' . $scripturl . '?action=affiliates;sa=unapproveaff;aff=' . $file['id_affiliates'] . '"><img src="' , $settings['images_url'] , '/lock.png"  alt="', $txt['noapaffili'], '" /></a>&nbsp;';
			if ($reportaffiliates)
			echo '&nbsp;<a href="' . $scripturl . '?action=affiliates;sa=report;aff=', $file['id_affiliates'],'"><img src="' , $settings['images_url'] , '/report_link.png"  alt="', $txt['rplink'], '" /></a>&nbsp;';
               
						 echo'</h3>
						</div>

				</td>
			</tr>
		</tbody>';
	
		echo'
		
		<tbody class="content">';
		echo '			<tr class="windowbg2">
				<td width="50%" align="left">
				<img src="', $file['image'],'"  onload="ImageResizer.createOn(this);"  title="', $file['description'],'" alt="', $file['description'],'" /></a>
        <br /><br />', $file['description'], '
		<br /><br />
			   ';if($rateaffiliates)
                         {
						   if (!empty($modSettings['enable_Rating'])) {
				echo ' 
						<br /><a href="' . $scripturl . '?action=affiliates;sa=rateaff;value=1;aff=', $file['id_affiliates'],'">
						<img src="', $settings['images_url'], '/thumb_up.png"  alt="', $txt['GoodaffLink'], '" border="0" /></a>&nbsp;&nbsp;
						<a href="' . $scripturl . '?action=affiliates;sa=rateaff;value=0;aff=', $file['id_affiliates'],'">
						<img src="', $settings['images_url'], '/thumb_down.png"  alt="', $txt['BadaffLink'], '" border="0" /></a>';
					        }
						 }
						 echo'
				
				</td>';
		echo '
				
			</tr>
		</tbody>';
		
		echo'
	</table>';
	echo'</div>
	<span class="lowerframe"><span><!-- // --></span></span>';
	
						
						
	  template_affiliates_copyright();
}

function template_addlink()
{
	global $scripturl, $txt, $modSettings, $context;
    
	template_affiliates_menu();
	
				echo ' 
<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
';
if (!empty($modSettings['enable_capacha_affiliates'])) {	
	if ($context['visual_verification'])
	{
		echo '
	function refreshImages()
	{
		// Make sure we are using a new rand code.
		var new_url = new String("', $context['verificiation_image_href'], '");
		new_url = new_url.substr(0, new_url.indexOf("rand=") + 5);

		// Quick and dirty way of converting decimal to hex
		var hexstr = "0123456789abcdef";
		for(var i=0; i < 32; i++)
			new_url = new_url + hexstr.substr(Math.floor(Math.random() * 16), 1);';

		if ($context['use_graphic_library'])
			echo '
		document.getElementById("verificiation_image").src = new_url;';
		else
			echo '
		document.getElementById("verificiation_image_1").src = new_url + ";letter=1";
		document.getElementById("verificiation_image_2").src = new_url + ";letter=2";
		document.getElementById("verificiation_image_3").src = new_url + ";letter=3";
		document.getElementById("verificiation_image_4").src = new_url + ";letter=4";
		document.getElementById("verificiation_image_5").src = new_url + ";letter=5";';
		echo '
	}';
	}
	}

	echo '
// ]]></script>';
	
	echo '<span class="upperframe"><span><!-- // --></span></span>
				<div class="roundframe"><div class="cat_bar">
							<h3 class="catbg">

				<span>', $txt['Affiliates_Add_Link'], '</span></h3>
						</div>

			</h4>
<form method="post" name="afflinks" id="afflinks" action="' . $scripturl . '?action=affiliates;sa=addafflink2">
	';
echo '<table cellspacing="0"  align="center" cellpadding="4" class="tborder" width="100%">
<tbody class="content">
  <tr>
    <td width="28%"   class="windowbg2"><span class="gen"><b>', $txt['Title'], '</b></span></td>
    <td width="72%"   class="windowbg2"><input type="text" name="title" size="64" maxlength="100" /></td>
  </tr>
  <tr>
    <td width="28%"   class="windowbg2"><span class="gen"><b>', $txt['Banner'], '</b></span></td>
    <td width="72%"   class="windowbg2"><input type="text" name="image" size="64" maxlength="100" /></td>
  </tr>
  <tr>
    <td width="28%"   class="windowbg2"><span class="gen"><b>', $txt['Url'], '</b></span></td>
    <td width="72%"   class="windowbg2"><input type="text" name="url" size="64" maxlength="250" value="http://" /></td>
  </tr>
  <tr>
    <td width="28%"   valign="top" class="windowbg2"><span class="gen"><b>', $txt['Description'], '</b></span></td>
    <td width="72%"   class="windowbg2">';

		echo '<textarea rows="2" name="description" cols="55"></textarea><br />';
	
   echo '
    </td>
  </tr>';
  if (!empty($modSettings['enable_capacha_affiliates'])) {
  if ($context['visual_verification'])
	{
		echo '
					<tr>
						<td width="40%" valign="top" class="windowbg2">
							<b>', $txt['verification'], ':</b>
							<div class="smalltext">', $txt['visual_verification_description'], '</div>
						</td>
						<td class="windowbg2">';
		if ($context['use_graphic_library'])
			echo '
							<img src="', $context['verificiation_image_href'], '" alt="', $txt['visual_verification_description'], '" id="verificiation_image" /><br />';
		else
			echo '
							<img src="', $context['verificiation_image_href'], ';letter=1" alt="', $txt['visual_verification_description'], '" id="verificiation_image_1" />
							<img src="', $context['verificiation_image_href'], ';letter=2" alt="', $txt['visual_verification_description'], '" id="verificiation_image_2" />
							<img src="', $context['verificiation_image_href'], ';letter=3" alt="', $txt['visual_verification_description'], '" id="verificiation_image_3" />
							<img src="', $context['verificiation_image_href'], ';letter=4" alt="', $txt['visual_verification_description'], '" id="verificiation_image_4" />
							<img src="', $context['verificiation_image_href'], ';letter=5" alt="', $txt['visual_verification_description'], '" id="verificiation_image_5" />';
		echo '
							<input type="text" name="visual_verification_code" size="30" tabindex="', $context['tabindex']++, '" />

						</td>
					</tr>';
	}
	}
  echo '
  <tr>
    <td width="28%" colspan="2" align="center" class="windowbg2">
    <input type="submit" value="', $txt['Submitlink'], '" name="submit" />
	'; 
if (!empty($modSettings['affiliates_reqirments']))
	{
	echo '<hr />
	
	' , $txt['affiliates_reqirmentsb'] , '' . parse_bbc($modSettings['affiliates_reqirments']) . '';
	}
echo '  
	</td>
	
  </tr></tbody>
</table></div>
	<span class="lowerframe"><span><!-- // --></span></span>

</form>
<br /> ';
	  template_affiliates_copyright();
}

function template_affbanners()
{
	global $scripturl, $txt, $context;
	
	template_affiliates_menu();
		echo '<span class="upperframe"><span><!-- // --></span></span>
				<div class="roundframe">
	';
			// Set the funtion 
$affiliate = Affiliates_banners();
		
		if($affiliate){
		echo'
		<table class="table_list">
		<tbody class="header">
			<tr>
				<td>
					<div class="title_bar">
							<h3 class="titlebg">

					'.$txt['affiliates_image_link_code'].'
					</h3>
						</div>

				</td>
			</tr>
		</tbody>';
		}
		foreach ($affiliate as $row)
		{ 
			echo '	<tbody class="content">';
		echo '			<tr class="windowbg2">
				<td width="50%" align="center">
					<a href="', $scripturl, '"><img src="', $row['image'], '" alt="'.$context['forum_name'].'" /></a>
				
				</td>
				<td>';
		echo '<table width="100%" cellspacing="8">';
		echo '<tr><td width="50%" valign="top" class="windowbg2" align="center">
		<textarea name="linkus_1" cols="40" rows="5" readonly="readonly"><a href="', $scripturl, '"><img src="', $row['image'], '" alt="'.$context['forum_name'].'" /></a></textarea>
		</td></tr>
		</table>
				</td>
			</tr>
		</tbody>';
		}
		echo'
	</table></div>
	<div class="roundframe">
	<table class="table_list">
		<tbody class="header">
			<tr>
				<td>
					<div class="title_bar">
							<h3 class="titlebg">
					'.$txt['affiliates_text_link_code'].'
					</h3>
						</div>
				</td>
			</tr>
		</tbody>';
		echo'
		
		<tbody class="content">';
		echo '			<tr class="windowbg2">
				<td width="50%" align="center">
				<textarea name="linkus_2" cols="40" rows="2" readonly="readonly"><a href="', $scripturl, '">'.$context['forum_name'].'</a></textarea>
				
				</td>
			
			</tr>
		</tbody>';
		
		echo'
	</table></div>
	<span class="lowerframe"><span><!-- // --></span></span>';
	 template_affiliates_copyright();
}

function template_affthanks()
{
	global $scripturl, $txt, $context;
	
	template_affiliates_menu();
		echo '<span class="upperframe"><span><!-- // --></span></span>
				<div class="roundframe">
	';
			// Set the funtion 
$affiliate = Affiliates_banners();
		if($affiliate){
		
		echo'
		<table class="table_list">
		<tbody class="header">
			<tr>
				<td>
					<div class="title_bar">
							<h3 class="titlebg">
					'.$txt['affiliates_image_link_code'].'</h3>
						</div>
				</td>
			</tr>
		</tbody>';
		}
		foreach ($affiliate as $row)
		{ 
		echo'
		<tbody class="content">';
		echo '			<tr class="windowbg2">
				<td width="50%" align="center">
					<a href="', $scripturl, '"><img src="', $row['image'], '" alt="'.$context['forum_name'].'" /></a>
				
				</td>
				<td>';
		echo '<table width="100%" cellspacing="8">';
		echo '<tr><td width="50%" valign="top" class="windowbg2" align="center">
		<textarea name="linkus_1" cols="40" rows="6" readonly="readonly"><a href="', $scripturl, '?action=affiliates;sa=in;idaff='.$context['newaff'].'"><img src="', $row['image'], '" alt="'.$context['forum_name'].'" /></a></textarea>
		</td></tr>
		</table>
				</td>
			</tr>
		</tbody>';
		}
		echo'
	</table></div><div class="roundframe">
	<table class="table_list">
		<tbody class="header">
			<tr>
				<td>
					<div class="title_bar">
							<h3 class="titlebg">
					'.$txt['affiliates_text_link_code'].'</h3>
						</div>
				</td>
			</tr>
		</tbody>';
		echo'
		
		<tbody class="content">';
		echo '			<tr class="windowbg2">
				<td width="50%" align="center">
				<textarea name="linkus_1" cols="40" rows="6" readonly="readonly"><a href="', $scripturl, '?action=affiliates;sa=in;idaff='.$context['newaff'].'">'.$context['forum_name'].'</a></textarea>
				
				</td>
			
			</tr>
		</tbody>';
		
		echo'
	</table></div>
	<span class="lowerframe"><span><!-- // --></span></span>';
	 template_affiliates_copyright();
}

function template_affeditlink()
{
	global $context, $scripturl, $txt;

      template_affiliates_menu();

	 echo '   <span class="upperframe"><span><!-- // --></span></span>
				<div class="roundframe"><div class="cat_bar">
							<h3 class="catbg">

				<span>', $txt['affiliates_edit_title'], '</span>
			</h3>
						</div>
';
	echo '
<form name="links" id="links" method="POST" action="' . $scripturl . '?action=affiliates;sa=editlink2">
<table cellspacing="0" align="center" cellpadding="4" class="tborder" width="100%">
  <tr>
    <td width="28%" class="windowbg2"><span class="gen"><b>', $txt['affiliates_field_title'], '</b></span></td>
    <td width="72%" class="windowbg2"><input type="text" name="title" size="64" maxlength="100" value="' . $context['links_link']['title'] . '" /></td>
  </tr>
  <tr>
    <td width="28%" class="windowbg2"><span class="gen"><b>', $txt['affiliates_field_url'], '</b></span></td>
    <td width="72%" class="windowbg2"><input type="text" name="url" size="64" maxlength="250" value="' . $context['links_link']['url'] . '" /></td>
  </tr>
   <tr>
    <td width="28%" class="windowbg2"><span class="gen"><b>', $txt['affiliates_field_gamepic'], '</b></span></td>
    <td width="72%" class="windowbg2"><input type="text" name="image" size="64" maxlength="250" value="' . $context['links_link']['image'] . '" /></td>
  </tr>
  <tr>
    <td width="28%" valign="top" class="windowbg2"><span class="gen"><b>', $txt['affiliates_field_desc'], '</b></span></td>
    <td width="72%" class="windowbg2">';

		echo ' <textarea rows="6" name="description" cols="54">' . $context['links_link']['description'] . '</textarea><br />
    
    </td>
  </tr>
 <tr>
    <td width="28%" class="windowbg2"><span class="gen"><b>', $txt['affiliates_linkcode'], '</b></span></td>
       <td width="28%" class="windowbg2"><span class="gen">';
				echo '		<textarea name="linkus_1" cols="40" rows="6" readonly="readonly"><a href="', $scripturl, '?action=affiliates;sa=in;idaff=' . $context['links_link']['id_affiliates'] . '"><img src="' . $context['aff_banner']['image'] . '" alt="'.$context['forum_name'].'" ></a></textarea>
        		
						</td>
  </tr>
  <tr>
    <td width="28%" colspan="2" align="center" class="windowbg2">
    <input type="hidden" value="' . $context['link_affid'] . '" name="affid" />
    <input type="submit" value="', $txt['affsave'], '" name="submit" /></td>

  </tr>
</table></div>
	<span class="lowerframe"><span><!-- // --></span></span>
</form> <br />';
template_affiliates_copyright();
}

function template_stats()
{
	global $context, $txt, $settings, $scripturl;
	
    template_affiliates_menu();
	
			echo '<div class="cat_bar">
							<h3 class="catbg">

				<span>', $txt['affStats2'], '</span>
			</h3>
						</div>

		<div class="flow_hidden">
			<div id="stats_left">
				<div class="windowbg">
					<span class="topslice"><span></span></span>
					<div class="content">
						<dl class="stats">
							<dt>', $txt['TotalAffiliates'], ':</dt>
							<dd>', comma_format($context['total_affiliates']) , '</dd>
							<dt>', $txt['TotalAffiliatesrate'], ':</dt>
							<dd>', comma_format($context['total_affiliatesrateing']) , '</dd>';

	echo '
						</dl>
						<div class="clear"></div>
					</div>
					<span class="botslice"><span></span></span>
				</div>
			</div>
			<div id="stats_right">
				<div class="windowbg">
					<span class="topslice"><span></span></span>
					<div class="content">
						<dl class="stats">
							<dt>', $txt['TotalInHits'], ':</dt>
							<dd>', comma_format($context['total_inhits']), '</dd>
							<dt>', $txt['TotalOutHits'], ':</dt>
							<dd>', comma_format($context['total_outhits']), '</dd>';

	

	echo '
						</dl>
						<div class="clear"></div>
					</div>
				<span class="botslice"><span></span></span>
				</div>
			</div>
		</div><div class="flow_hidden">
			<div id="top_posters">
				<div class="cat_bar">
							<h3 class="catbg">

					', $txt['TopByOutHits'], '</h3>
						</div>

					<div class="windowbg">
						<span class="topslice"><span></span></span>
						<div class="content">
							<dl class="stats">';
if(!empty($context['top_affiliates'] )){
	foreach ($context['top_affiliates'] as $file)
						{
		echo '
								<dt>
									', $file['link'], '
								</dt>
								<dd class="statsbar">';
		
			echo '
									<div class="bar" style="width: ', $file['percent'] + 4, 'px;">
										<div style="width: ', $file['percent'], 'px;"></div>
									</div>';

		echo '
							<span class="righttext">' . $file['outhits'] . '</span>
								</dd>';
	}
	}

	echo '
							</dl>
							<div class="clear"></div>
						</div><span class="botslice"><span></span></span>
					</div>
			</div><div id="top_boards">
				<div class="cat_bar">
							<h3 class="catbg">
					', $txt['TopRated'], '
				</h3>
						</div>

					<div class="windowbg">
						<span class="topslice"><span></span></span>
						<div class="content">
							<dl class="stats">';
if(!empty($context['top_afrating'] )){
	foreach ($context['top_afrating'] as $file)
	{
		echo '
								<dt>
									', $file['link'], '
								</dt>
								<dd class="statsbar">';

			echo '
									<div class="bar" style="width: ', $file['percent'] + 4, 'px;">
										<div style="width: ', $file['percent'], 'px;"></div>
									</div>';
		echo '
									<span class="righttext">' . $file['rating'] . '</span>
								</dd>';
	}
	}

	echo '
							</dl>
							<div class="clear"></div>
						</div>
						<span class="botslice"><span></span></span>
					</div>
			</div>
		</div>';
		echo '<div class="flow_hidden">
			<div id="top_posters">
				<div class="cat_bar">
							<h3 class="catbg">
					', $txt['TopByInHits'], '
				</h3>
						</div>
					<div class="windowbg">
						<span class="topslice"><span></span></span>
						<div class="content">
							<dl class="stats">';
if(!empty($context['top_affiliatesin'] )){
foreach ($context['top_affiliatesin'] as $file)
						{
		echo '
								<dt>
									', $file['link'], '
								</dt>
								<dd class="statsbar">';
		
			echo '
									<div class="bar" style="width: ', $file['percent'] + 4, 'px;">
										<div style="width: ', $file['percent'], 'px;"></div>
									</div>';

		echo '
							<span class="righttext">' . $file['inhits'] . '</span>
								</dd>';
	}
	}

	echo '
							</dl>
							<div class="clear"></div>
						</div><span class="botslice"><span></span></span>
					</div>
			</div><div id="top_boards">
				<div class="cat_bar">
							<h3 class="catbg">
				', $txt['latestaf'], '</h3>
						</div>
				</h3>
					<div class="windowbg">
						<span class="topslice"><span></span></span>
						<div class="content">
							<dl class="stats">';
if(!empty($context['last_added'] )){
foreach ($context['last_added'] as $file)
	{
		echo '
								<dt>
									', $file['link'], '
								</dt>
								<dd class="statsbar">';

		echo '
									<span class="righttext">' . timeformat($file['date']) . '</span>
								</dd>';
	}
}
	echo '
							</dl>
							<div class="clear"></div>
						</div>
						<span class="botslice"><span></span></span>
					</div>
			</div>
		</div>';
template_affiliates_copyright();		
}

function template_approve_affiliates()
{
	global $scripturl, $txt, $modSettings, $settings, $context;

		template_affiliates_menu();
		
		$affiliate = Affiliates_alist();
		 echo '<span class="upperframe"><span><!-- // --></span></span>
				<div class="roundframe"><div class="title_bar">
							<h3 class="titlebg">
				<span>', $txt['Approve_Affiliates'], '</span>
			</h3>
						</div>

			<table cellspacing="0" cellpadding="10" border="0" align="center" width="100%" class="tborder">
				<tr class="titlebg">
				<td>'.$txt['affvaffwa1'].'</td>
				<td>', $txt['affURL'], '</td>
				<td>', $txt['affDescription'], '</td>
				<td>', $txt['affBanner'], '</td>
				<td>', $txt['dateadded'], '</td>
				<td>', $txt['Submittedby'], '</td>
				<td>' .$txt['options']. '</td>
				</tr>';
/*if (empty($affiliate))
						echo '
<div align="center">', $txt['affemptyapproval'],'</div>';*/
/*else
{		*/				$max_width = isset($modSettings['imageresizer_max_width']) && !empty($modSettings['imageresizer_max_width']) ? $modSettings['imageresizer_max_width'] : 0;
            $max_height = isset($modSettings['imageresizer_max_height']) && !empty($modSettings['imageresizer_max_height']) ? $modSettings['imageresizer_max_height'] : 0;
	    if (!empty($max_width) || !empty($max_height))
	   echo'<script type="text/javascript">
		<!--
		function resize(which) {
		  var elem = document.getElementById(which);
		  if (elem == undefined || elem == null) return false;
		  if (elem.width > elem.height) 
		  {
		    if (elem.width > '.$max_width.' &&  '.$max_width.' != 0) elem.width = '.$max_width.';
		  } 
		  else
		  {
		    if (elem.height > '.$max_height.' &&  '.$max_height.' != 0) elem.height = '.$max_height.';
		  }
		}// --></script>';	
			// List all reported affiliates
				 foreach ($affiliate as $row)
		{ 

				echo '<tr class="windowbg2">';
				echo '<td><a href="' . $scripturl . '?action=affiliates;sa=veiwaff;aff=' . $row['id_affiliates'] . '">'.$txt['affvaffwa'].'</a></td>';
				echo '<td> <a href="' . $row['url'] . '" target="blank">' . $row['title'] . '</a></td>';
				echo '<td>' . $row['description'] . '</td>';
				echo '<td> <img src="', $row['image'],'"  id="aff_image_', $row['id_affiliates'],'" onload="resize(\'aff_image_', $row['id_affiliates'],'\')" alt="', $row['title'],'" /><br /></td>';
				echo '<td> ' . timeformat($row['date']) . ')</td>';				
				if ($row['real_name'] == '')
				echo '<td>' .$txt['guest']. '</td>';
					else 
				echo '<td><a href="' . $scripturl . '?action=profile;u=' . $row['id_member'] . '">' . $row['real_name'] . '</a></td>';	
                echo '<td><a href="' . $scripturl . '?action=affiliates;sa=unapproveaff;aff=' . $row['id_affiliates'] . '"><img src="' , $settings['images_url'] , '/lock.png"title="', $txt['noapaffili'], '" alt=""/></a>&nbsp;';				
				echo '<a href="' . $scripturl . '?action=affiliates;sa=approve;affiliates=' . $row['id_affiliates'] . '"><img src="' , $settings['images_url'] , '/tick.png"title="', $txt['affiliapprove'], '" alt=""/></a>&nbsp;';			
				echo '<a href="' . $scripturl . '?action=affiliates;sa=editLink;affid=' . $row['id_affiliates'] . '"><img src="' , $settings['images_url'] , '/user_edit.png" title="', $txt['editaffili'], '" alt=""/></a>&nbsp;';	
				echo '<a href="' . $scripturl . '?action=affiliates;sa=delete;affid=' . $row['id_affiliates'] . '"><img src="' , $settings['images_url'] , '/delete.png" title="', $txt['delaffili'], '" alt=""/></a></td>';
				echo '</tr>';
			}
//}
echo '
</table>
<div class="flow_auto">
				<div class="align_left">
					<div class="pagesection">Pages: ', $context['page_index'], ' </div>
				</div>
				</div>
</div>

	<span class="lowerframe"><span><!-- // --></span></span><br />';
template_affiliates_copyright();
}

function template_unaprove2_affiliate()
{
	global $scripturl, $context, $txt;

	template_affiliates_menu();
	
   echo '<span class="upperframe"><span><!-- // --></span></span>
				<div class="roundframe"><div class="cat_bar">
							<h3 class="catbg">

				<span>', $txt['noapaffili'], '</span>
			</h3>
						</div>


<form method="post" action="' . $scripturl . '?action=affiliates;sa=unapproveaff2;aff='.$_REQUEST['aff'].'">
<table border="0" cellpadding="0" cellspacing="0" width="100%" align="center">
  <tr>
    <td width="28%"  valign="top" class="windowbg2" align="right"><span class="gen"><b>' . $txt['com']. '</b>&nbsp;</span></td>
    <td width="72%"  class="windowbg2"><textarea rows="6" name="comment" cols="54"></textarea></td>
  </tr>
  <tr>
    <td width="28%" colspan="2" align="center" class="windowbg2">
    <input type="hidden" name="id" value="' . $context['affiliates_id'] . '" />
    <input type="submit" value="Send" name="submit" /></td>
	
  </tr>
</table></div>
	<span class="lowerframe"><span><!-- // --></span></span>
</form><br />';	
template_affiliates_copyright();
}

function template_report_affiliate()
{
	global $scripturl, $context, $txt;

	template_affiliates_menu();
	
   echo '<span class="upperframe"><span><!-- // --></span></span>
				<div class="roundframe"><div class="cat_bar">
							<h3 class="catbg">

				<span>', $txt['reportaff'], '</span>
			</h3>
						</div>

<form method="post" action="' . $scripturl . '?action=affiliates;sa=report2">
<table border="0" cellpadding="0" cellspacing="0" width="100%" align="center">
  <tr>
    <td width="28%"  valign="top" class="windowbg2" align="right"><span class="gen"><b>' . $txt['com']. '</b>&nbsp;</span></td>
    <td width="72%"  class="windowbg2"><textarea rows="6" name="comment" cols="54"></textarea></td>
  </tr>
  <tr>
    <td width="28%" colspan="2" align="center" class="windowbg2">
    <input type="hidden" name="id" value="' . $context['affiliates_id'] . '" />
    <input type="submit" value="Send" name="submit" /></td>
	
  </tr>
</table></div>
	<span class="lowerframe"><span><!-- // --></span></span>
</form><br />';	
template_affiliates_copyright();
}

function template_affiliatereportlist()
{
	global $scripturl, $txt, $settings, $context;

		template_affiliates_menu();
		
   echo '<span class="upperframe"><span><!-- // --></span></span>
				<div class="roundframe"><div class="cat_bar">
							<h3 class="catbg">

				<span>' . $txt['affreportlist']. '</span>
			</h3>
						</div>

			<table cellspacing="0" cellpadding="10" border="0" align="center" width="100%" class="tborder">
				<tr class="catbg">
				<td>' .$txt['comaff']. '</td>
				<td>' .$txt['comment']. '</td>
				<td>' .$txt['date']. '</td>
				<td>' .$txt['repotedby']. '</td>
				<td>' .$txt['options']. '</td>
				</tr>';
/*if (empty($context['affiliate_reports']))
						echo '
<div align="center">', $txt['affemptyreport'],'</div>';*/
/*else
{*/				
			// List all reported affiliates
			foreach ($context['affiliate_reports'] as $i => $report)
			{

				echo '<tr class="windowbg2">';
				echo '<td><a href="' . $scripturl . '?action=affiliates;sa=veiwaff;aff=' . $report['id_affiliates'] . '">Veiw Affiliate</a></td>';
				echo '<td>', $report['comment'], '</td>';
				echo '<td>', timeformat($report['date']), '</td>';				
				if ($report['real_name'] != '')
					echo '<td><a href="' . $scripturl . '?action=profile;u=' . $report['id_member'] . '">'  . $report['real_name'] . '</a></td>';
				else 
					echo '<td>' .$txt['guest']. '</td>';				
				    echo '<td><a href="' . $scripturl . '?action=affiliates;sa=unapproveaff;aff=' . $report['id_affiliates'] . '"><img src="' , $settings['images_url'] , '/lock.png"  alt="', $txt['noapaffili'], '" /></a>&nbsp;';
				    echo '<a href="' . $scripturl . '?action=affiliates;sa=delete;affid=' . $report['id_affiliates'] . '"><img src="' , $settings['images_url'] , '/delete.png"  alt="' , $txt['dlink'], '" /></a>&nbsp;';
					echo '<a href="' . $scripturl . '?action=affiliates;sa=deletereport;aff=' . $report['id'] . '"><img src="' , $settings['images_url'] , '/report_delete.png"  alt="' , $txt['dreport'], '" /></a></td>';
				    echo '</tr>';

			}
/*}*/

echo '

</table></div>
	<span class="lowerframe"><span><!-- // --></span></span><br />';
template_affiliates_copyright();
}

function template_affiliates_menu()
{
	global $scripturl, $settings, $txt, $context;

		$addaffiliates = allowedTo('add_affiliates');
		$approveaffiliates = allowedTo('approve_affiliates');
		$veiwreportaffiliates = allowedTo('veiwreport_affiliates');
		
		echo '<div class="cat_bar">
							<h3 class="catbg">
				<span>';
	
				echo'<img src="' , $settings['images_url'] , '/star.png"  alt="" /> <a href="', $scripturl, '?action=affiliates">', $txt['Our_Affiliates'], '</a>&nbsp;&nbsp;';
				echo '<img src="' , $settings['images_url'] , '/book_link.png"  alt="" /> <a href="', $scripturl, '?action=affiliates;sa=affbanners">', $txt['Link_us_Banners'], '</a>&nbsp;&nbsp;';
			    if($addaffiliates)
                {
			    echo '<img src="' , $settings['images_url'] , '/add.png"  alt="" /> <a href="', $scripturl, '?action=affiliates;sa=addafflink">', $txt['Addlink'], '</a>&nbsp;&nbsp;';
		        }				
				echo '<img src="' , $settings['images_url'] , '/cog.png"  alt="" /> <a href="', $scripturl, '?action=affiliates;sa=stats">', $txt['affStats'], '</a>&nbsp;&nbsp;';
			    if($approveaffiliates)
                {		
				echo '<img src="' , $settings['images_url'] , '/tick.png"  alt="" /> <a href="', $scripturl, '?action=affiliates;sa=affiliatesalist">', $txt['alist'], ' <b>[',$context['affiliates_waitapproval'],']</b></a>&nbsp;&nbsp;';
                }
			    if($veiwreportaffiliates)
                {
				echo '<img src="' , $settings['images_url'] , '/report.png"  alt="" /> <a href="', $scripturl, '?action=affiliates;sa=reportlist">', $txt['affreportlist'], ' <b>[',$context['affiliates_totalreport'],']</b></a>&nbsp;&nbsp;';
				}	
				if($context['user']['is_logged'])
                {
				echo '<img src="' , $settings['images_url'] , '/star.png"  alt="" /> <a href="', $scripturl, '?action=affiliates;sa=myaffiliates">'.$txt['affvmyaff'].' <b>[',$context['affiliates_totalaffs'],']</b></a>';
				}
		  echo '
	</h3>
						</div>

';   
}
function template_affiliates_copyright()
{
	global $txt, $modSettings;
echo '<br /><div align="center">SA Affiliates ' . $modSettings['aff_version'] . ' Rev 318 &copy; 2009<a href="http://www.sa-mods.info"> SA Mods</a></div>';
		if ($modSettings['aff_dev'] == 1)
		echo '
								<br /><div align="center"><b>'.$txt['v_c_dv'].'</b><br />
								'.$txt['v_cbd'].': ' . $modSettings['aff_build'] . ' <br />
								'.$txt['v_cb'].': ' . $modSettings['aff_build_date'] . ' </div><br />';
}
?>