<?php
/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is http://www.sa-mods.info
 *
 * The Initial Developer of the Original Code is
 * wayne Mankertz.
 * Portions created by the Initial Developer are Copyright (C) 2008-2011
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * ***** END LICENSE BLOCK ***** */
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
  require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
  die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');
global $db_prefix, $smcFunc;
  // First load the SMF 2's Extra DB Functions
db_extend('packages');
	db_extend('extra');
	
	$query = $smcFunc['db_query']('', '
	SELECT COUNT(*)
	FROM {db_prefix}package_servers
	WHERE url = {string:sleepyarcade}',
	array(
		'sleepyarcade' => 'http://www.sa-mods.info',
	)
);
list ($count) = $smcFunc['db_fetch_row']($query);
if (empty($count))
{
	$smcFunc['db_insert']('insert',
		'{db_prefix}package_servers',
		array('name' => 'string', 'url' => 'string'),
		array('SA Mods', 'http://www.sa-mods.info'),
		array('id_server')
	);
}

  
  $smcFunc['db_insert']('ignore', '{db_prefix}settings',
		array(
			'variable' => 'string',
			'value' => 'string',
			),
	array(
	    array ('affsort' ,'date'),
		array ('enable_affiliates' ,'1'),
		array ('enable_noptify' ,'1'),
		array ('enable_noptify2' ,'1'),
		array ('enable_noptify3' ,'1'),
		array ('enable_affiliatesboard' ,'0'),
		array ('How_Fast_To_Scroll' ,'1'),
		array ('How_Fast_To_Scrollmo' ,'1'),
		array ('enable_date_submitted' ,'1'),
		array ('affsort' ,'0'),
		array ('enable_submittedby' ,'1'),
		array ('enable_last_updated' ,'1'),
		array ('enable_Googlerank' ,'1'),
		array ('enable_Rating' ,'1'),
		array ('enable_in_Clicks' ,'1'),
		array ('enable_out_Clicks' ,'1'),
		array ('imageresizer_max_width' ,'250'),
		array ('imageresizer_max_height' ,'250'),
		array ('affiliates_reqirments' ,'- You must be a member in good standing.
- Our banner must be displayed on your site.
- In order for the in/out stats to work our code must be used.


Please note your link will not be approved untill we can see our link on your site.
'),
		),
		array()
	);
  
$smcFunc['db_insert']('replace', '{db_prefix}settings',
		array(
			'variable' => 'string',
			'value' => 'string',
			),
	array(
		array ('aff_version' ,'3.3.5.6'),
		array ('aff_dev' ,0),
		array ('aff_build' ,'2'),
		array ('aff_build_date' ,'November 09, 2009'),
		),
		array()
	);
//Create Affiliates Table
$smcFunc['db_query']('', "CREATE TABLE IF NOT EXISTS {db_prefix}affiliates
(id_affiliates int(11) NOT NULL auto_increment,
id_member mediumint(8) unsigned NOT NULL default '0',
url VARCHAR(255) NOT NULL,
image tinytext,
title VARCHAR(100) NOT NULL,
description VARCHAR(255) NOT NULL,
inhits int(11) NOT NULL default '0',
outhits int(11) NOT NULL default '0',
approved tinyint(1) NOT NULL default '0',
rating int(11) NOT NULL default '0',
date int(10) unsigned NOT NULL default '0',
datelast int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_affiliates`)
)");

//Create The Affiliates Rating Table
$smcFunc['db_query']('', "CREATE TABLE IF NOT EXISTS {db_prefix}affiliates_rating
(id int(11) NOT NULL auto_increment,
id_affiliates int(11) NOT NULL,
id_member mediumint(8) unsigned NOT NULL default '0',
value tinyint(1) NOT NULL,
PRIMARY KEY  (`id`)
)");

//Create The Affiliates Your Banners Table
$smcFunc['db_query']('', "CREATE TABLE IF NOT EXISTS {db_prefix}affiliates_banners
(id int(11) NOT NULL auto_increment,
image tinytext,
PRIMARY KEY  (`id`)
)");

//Create The Reported Affiliatesn Table
$smcFunc['db_query']('', "CREATE TABLE IF NOT EXISTS {db_prefix}affiliate_report
(id int(11) NOT NULL auto_increment,
id_affiliates int(11) NOT NULL,
id_member mediumint(8) unsigned NOT NULL default '0',
comment text,
date int(10) unsigned NOT NULL default '0',
PRIMARY KEY  (id))");
	
	$smcFunc['db_change_column']( $db_prefix . 'affiliates', 'description', array('type' => 'text'));
	$smcFunc['db_change_column']( $db_prefix . 'affiliates', 'title', array('type' => 'text'));
	
add_integration_function('integrate_pre_include', '$boarddir/Sources/AffiliateHooks.php');
add_integration_function('integrate_actions', 'Affiliate_actions');
add_integration_function('integrate_core_features', 'Affiliate_core_features');
add_integration_function('integrate_load_permissions', 'Affiliate_load_permissions');
add_integration_function('integrate_menu_buttons', 'Affiliate_menu_buttons');
add_integration_function('integrate_admin_areas', 'Affiliate_admin_areas');
?>