<?php
/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is http://www.sa-mods.info
 *
 * The Initial Developer of the Original Code is
 * wayne Mankertz.
 * Portions created by the Initial Developer are Copyright (C) 2008-2011
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * ***** END LICENSE BLOCK ***** */

// If not in smf then this could be a hacking attempt?
if (!defined('SMF'))
      die('Hacking attempt...');
	  
global $sourcedir;
	require_once($sourcedir . '/Affiliates_db.php');
	require_once($sourcedir . '/Affiliates_Subs.php');
	
function Affiliates()
{
	// Must global it otherwise we get erros
	global $txt, $scripturl, $context;
	
	// Do we have permission to veiw?
      isAllowedTo('view_affiliates'); 
	   // Load the language strings
	   loadLanguage('Affiliates');

	// Load the template.
	 loadTemplate('Affiliates');
	 
	 $context['linktree'][] = array(					
	    'url' => $scripturl . '?action=affiliates',					
	    'name' => $txt['Affiliates']		
	);

	// Here's our little sub-action array.
	$subActions = array(
		'affiliates' => 'Affiliates_veiw',
		'out' => 'VisitaffiliateLink',
		'in' => 'VisitinnaffiliateLink',
		'rateaff' => 'RateaffliatesLink',
		'addafflink' => 'AddaffLink',
		'addafflink2' => 'AddaffLink2',
		'affbanners' => 'affbanners',
		'affthanks' => 'affthanks',
		'editLink' => 'quikeEditLink',
		'editlink2' => 'quikeEditLink2',
		'delete' => 'quikedelete',
		'unapprove' => 'quikeunApprove',
		'stats' => 'affStats',
		'approve' => 'affiliateApprove',
		'affiliatesalist' => 'affiliateApproveList',
		'report' => 'ReportAffiliate',
		'report2' => 'ReportAffiliate2',
		'deletereport' => 'affiliateDeleteReport',
		'reportlist' => 'affiliateReportList',	
        'veiwaff' => 'Affiliates_veiwaff',	
		'unapproveaff' => 'unapprove_Affiliate_new',	
		'unapproveaff2' => 'unapprove_Affiliate_new2',	
		'myaffiliates' => 'Affiliate_users_affs',
        		
	);
	
	 Affiliates_main();
		
	// Default the sub-action to 'affiliates_veiw'.
	$_REQUEST['sa'] = isset($_REQUEST['sa']) && isset($subActions[$_REQUEST['sa']]) ? $_REQUEST['sa'] : 'affiliates';
	
	// Set title and default sub-action.
	$context['page_title'] = $txt['Affiliates'];
	$context['sub_action'] = $_REQUEST['sa'];

	// Call the right function for this sub-acton.
	$subActions[$_REQUEST['sa']]();
}

function Affiliate_users_affs() {

// Must global it otherwise we get erros
   global $txt, $context, $smcFunc, $scripturl, $request;
		
	$context['sub_template']  = 'aff_users_aff';
	
	 $context['linktree'][] = array(					
	    'url' => $scripturl . '?action=affiliates;sa=myaffiliates',					
	    'name' => $txt['affvmyaff']	
	);
	
	Affiliates_my_veiw();
}  

function Affiliates_veiwaff() {

// Must global it otherwise we get erros
   global $txt, $context, $smcFunc, $scripturl, $request;
   
 	//TODO: change id to somthing else
	$id = (int) $_REQUEST['aff'];
	
	if (empty($id))
		fatal_error($txt['aff_error_a']);
		
	$context['sub_template']  = 'affveiw';
	
	 $context['linktree'][] = array(					
	    'url' => $scripturl . '?action=affiliates;sa=veiwaff',					
	    'name' => $txt['affvaffwa']		
	);
	
	Affiliates_aff_veiw();
}  
	  
function Affiliates_veiw() {

// Must global it otherwise we get erros
   global $context, $affiliates_request;
 	
	 Affiliates_main2();
	
	// Set the value of the callback function.
	$context['get_affiliates'] = 'getaffiliatesentry';
}

// Call-back function for the template to retrieve a row of multiplayer data.
function getaffiliatesentry($reset = false)
{
	global $smcFunc, $affiliates_request, $context;

	if ($affiliates_request == false)
		return false;

	if (!($row = $smcFunc['db_fetch_assoc']($affiliates_request)))
		return false;

	$output = array(
	    'real_name' => $row['real_name'],
		'idaff' => $row['id_affiliates'],
		'idmem' => $row['id_member'],
		'url' => $row['url'],
		'image' => $row['image'],
		'title' => $row['title'],
		'description' => $row['description'],
		'inhits' => $row['inhits'],
		'outhits' => $row['outhits'],
		'rating' => $row['rating'],
		'approved' => $row['approved'],
		'date' => $row['date'],
		'datelast' => $row['datelast'],
		
		
	);

	return $output;
}

function VisitaffiliateLink()
{
	global $modSettings;

	ob_end_clean();
	if (!empty($modSettings['enableCompressedOutput']))
		@ob_start('ob_gzhandler');
	else
		ob_start();

	Affiliates_visit();

	ob_exit(false);
	die('');
}

function VisitinnaffiliateLink()
{
	global $modSettings;

	ob_end_clean();
	if (!empty($modSettings['enableCompressedOutput']))
		@ob_start('ob_gzhandler');
	else
		ob_start();

	Affiliates_visitin();

	ob_exit(false);
	die('');
}

function quikeunApprove()
{
	global $context;

	Affiliates_unprove();

	redirectexit('action=affiliates');
}

function quikedelete()
{
// Gotta global it other wise thing dont work properly
global $context;
	
	 Affiliates_quikedel();
				
		redirectexit('action=affiliates');	
}

function RateaffliatesLink()
{
	global $user_info;

    isAllowedTo('rate_affiliates'); 
	// Guests cant rate links? how do we keep track?
	is_not_guest();

	Affiliates_rate();
	
	redirectexit('action=affiliates');
}

function AddaffLink()
{
	global $context, $mbname, $scripturl, $modSettings, $txt;
 
    isAllowedTo('add_affiliates'); 
	
	$context['sub_template']  = 'addlink';
	$context['page_title'] = $txt['Affiliates_Add_Link'];
	
	$context['linktree'][] = array(					
	    'url' => $scripturl . '?action=affiliates;sa=addafflink',					
	    'name' => $txt['Affiliates_Add_Link']		
	);
	
		// Language strings
		loadLanguage('Login');
		if (!empty($modSettings['enable_capacha_affiliates'])) {
		// Generate a visual verification code to make sure the user is no bot.
		$context['visual_verification'] = empty($modSettings['disable_visual_verification']) || $modSettings['disable_visual_verification'] != 1;
		if ($context['visual_verification'])
		{
			$context['use_graphic_library'] = in_array('gd', get_loaded_extensions());
			$context['verificiation_image_href'] = $scripturl . '?action=verificationcode;rand=' . md5(rand());
	
			// Only generate a new code if one hasn't been set yet
			if (!isset($_SESSION['visual_verification_code']))
			{
				// Skip I, J, L, O and Q.
				$character_range = array_merge(range('A', 'H'), array('K', 'M', 'N', 'P'), range('R', 'Z'));
	
				// Generate a new code.
				$_SESSION['visual_verification_code'] = '';
				for ($i = 0; $i < 5; $i++)
					$_SESSION['visual_verification_code'] .= $character_range[array_rand($character_range)];
			}
		}
		}
	
}

function AddaffLink2()
{
	global $user_info, $txt, $modSettings, $smcFunc, $context, $url, $settings, $options;

	isAllowedTo('add_affiliates'); 
	
   if ($_GET['sa'] == 'addafflink2')
		{
			if (!empty($modSettings['enable_capacha_affiliates'])) {
		// Check whether the visual verification code was entered correctly.
		if ((empty($modSettings['disable_visual_verification']) || $modSettings['disable_visual_verification'] != 1) && (empty($_REQUEST['visual_verification_code']) || strtoupper($_REQUEST['visual_verification_code']) !== $_SESSION['visual_verification_code']))
		{
			$_SESSION['visual_errors'] = isset($_SESSION['visual_errors']) ? $_SESSION['visual_errors'] + 1 : 1;
			if ($_SESSION['visual_errors'] > 3 && isset($_SESSION['visual_verification_code']))
				unset($_SESSION['visual_verification_code']);
	
			fatal_error('visual verification failed', false);
		}
		elseif (isset($_SESSION['visual_errors']))
			unset($_SESSION['visual_errors']);
			}
			
	// Clean the input
	$title =  htmlspecialchars(trim($_POST['title']), ENT_QUOTES);
	$description = htmlspecialchars($_REQUEST['description'], ENT_QUOTES);
	$url = htmlspecialchars(trim($_POST['url']), ENT_QUOTES);
	$image = htmlspecialchars(trim($_POST['image']), ENT_QUOTES);

	if ($title == '')
		fatal_error($txt['aff_error_b'],false);

	if ($url == '')
		fatal_error($txt['aff_error_c'],false);
		
	if ($description == '')
		fatal_error($txt['aff_error_d'],false);
    
	if ($image == '')
		fatal_error($txt['aff_error_e'],false);
		
	Affiliates_linkcheck();
	
    //Insert the links
	}
	
     Affiliates_linkadd();
	
$approved = allowedTo('affiliates_auto_approve') ? 1 : 0;

	if ($approved)
		redirectexit('action=affiliates;sa=affthanks');
	else
  if($modSettings['enable_noptify'])
  {
	 Affiliates_sendpm();
  }
		redirectexit('action=affiliates;sa=affthanks');		
}

function affthanks()
{
	global $context, $scripturl, $mbname, $txt;

   $context['sub_template']  = 'affthanks';
   $context['page_title'] = $txt['AffiliatesBanners'];
   
   $context['linktree'][] = array(					
	    'url' => $scripturl . '?action=affiliates;sa=affthanks',					
	    'name' => $txt['AffiliatesBanners']		
	);
	
	Affiliates_thanks();
	
}

function affbanners()
{
	global $context, $scripturl, $mbname, $txt;

   $context['sub_template']  = 'affbanners';
   $context['page_title'] = $txt['AffiliatesBanners'];
   
   $context['linktree'][] = array(					
	    'url' => $scripturl . '?action=affiliates;sa=affbanners',					
	    'name' => $txt['AffiliatesBanners']		
	);
	
	Affiliates_banners();
}

function quikeEditLink()
{
	global $context, $scripturl, $mbname, $user_info;

	is_not_guest();

	$context['sub_template']  = 'affeditlink';
	
	$context['linktree'][] = array(					
	    'url' => $scripturl . '?action=affiliates;sa=editlink',					
	    'name' => $txt['editaffili']		
	);

	Affiliates_editaff();
}

function quikeEditLink2()
{
	global $affid, $title, $url, $image, $description, $datelast;

	is_not_guest();

	Affiliates_editaff2();

	// Clean the input
	$title =  htmlspecialchars(trim($_POST['title']), ENT_QUOTES);
	$description = htmlspecialchars($_REQUEST['description'], ENT_QUOTES);
	$url = htmlspecialchars(trim($_POST['url']), ENT_QUOTES);
	$image = htmlspecialchars(trim($_POST['image']), ENT_QUOTES);


	if ($title == '')
		fatal_error($txt['aff_error_b'],false);

	if ($url == '')
		fatal_error($txt['aff_error_c'],false);
		
	if ($description == '')
		fatal_error($txt['aff_error_d'],false);
    
	if ($image == '')
		fatal_error($txt['aff_error_e'],false);
	
  Affiliates_editaff3();

	// Redirect back to category
	redirectexit('action=affiliates');
}

function affStats()
{
	global $scripturl, $context, $txt;

	// Is the user allowed to view the downloads?
	isAllowedTo('view_affiliates'); 

	 Affiliates_stats();

	// Set the page title
	$context['page_title'] = $txt['affiliates_stats'];

// Load the template
	$context['sub_template']  = 'stats';	
	
	$context['linktree'][] = array(					
	    'url' => $scripturl . '?action=affiliates;sa=stats',					
	    'name' => $txt['affiliates_stats']		
	);

}

function affiliateApproveList()
{
	global $scripturl, $context, $mbname, $txt;
	isAllowedTo('approve_affiliates'); 

	// Set title and default sub-action.
	$context['sub_template']  = 'approve_affiliates';
     $context['page_title'] = $txt['Affiliatesconfig3'];
	 
	 $context['linktree'][] = array(					
	    'url' => $scripturl . '?action=affiliates;sa=affiliatesalist',					
	    'name' => $txt['Affiliatesconfig3']		
	);
	 
	Affiliates_alist();
}

function affiliateApprove()
{
	global $modSettings, $context;
	
   isAllowedTo('approve_affiliates'); 
   
  if($modSettings['enable_noptify3'])
  {
     Affiliates_sendpm3();
  }
	Affiliates_approve();

	redirectexit('action=affiliates;sa=affiliatesalist');
}

function ReportAffiliate()
{
	global $context, $scripturl, $mbname, $txt;
	
   isAllowedTo('report_affiliates'); 
   
	$context['page_title'] = $txt['affreport'] ;
	
	is_not_guest();
	//TODO: change id to somthing else
	$id = (int) $_REQUEST['aff'];
	
	if (empty($id))
		fatal_error($txt['aff_error_a']);

	$context['affiliates_id'] = $id;

	$context['sub_template']  = 'report_affiliate';
	
	$context['linktree'][] = array(					
	    'url' => $scripturl . '?action=affiliates;sa=report',					
	    'name' => $txt['affreport']		
	);
}

function ReportAffiliate2()
{
	global $context,$modSettings, $user_info;

	Affiliates_report();
	
if($modSettings['enable_noptify2'])
  {
     Affiliates_sendpm2();
  }
  
	redirectexit('action=affiliates');
}

function affiliateReportList()
{
	global $context, $scripturl, $mbname, $txt;
    
	isAllowedTo('veiwreport_affiliates'); 
	
     $context['page_title'] = $txt['affreportlist'];
	$context['sub_template']  = 'affiliatereportlist';
	
	$context['linktree'][] = array(					
	    'url' => $scripturl . '?action=affiliates;sa=report',					
	    'name' => $txt['affreportlist']
	);

	Affiliates_reportlist();
}

function affiliateDeleteReport()
{
	global $scripturl;
	
	Affiliates_reportdel();

	// Redirect to redirect list
	redirectexit('action=affiliates;sa=reportlist');
}

function unapprove_Affiliate_new()
{
	global $context, $scripturl, $mbname, $txt;
	
   isAllowedTo('approve_affiliates');  
	is_not_guest();
	$id = (int) $_REQUEST['aff'];
	
	if (empty($id))
		fatal_error($txt['aff_error_a']);

	$context['affiliates_id'] = $id;

	$context['sub_template']  = 'unaprove2_affiliate';
	
	$context['linktree'][] = array(					
	    'url' => $scripturl . '?action=affiliates;sa=unapprove',					
	    'name' => $txt['noapaffili']
	);
}

function unapprove_Affiliate_new2()
{
	global $context,$modSettings, $user_info;
  
  $id = (int) $_REQUEST['aff'];
	
	if (empty($id))
		fatal_error($txt['aff_error_a']);
		
   Affiliates_sendpm4();
   
	redirectexit('action=affiliates;sa=affiliatesalist');
}	
?>