<?php
/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is http://www.sa-mods.info
 *
 * The Initial Developer of the Original Code is
 * wayne Mankertz.
 * Portions created by the Initial Developer are Copyright (C) 2008-2011
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * ***** END LICENSE BLOCK ***** */
	//Affiliates Start
function template_affiliatesEdit_Add()
{
	global $context, $scripturl, $txt;

	echo '
	<form action="', $scripturl, '?action=admin;area=affiliates;save;sa=save" method="post" accept-charset="', $context['character_set'], '">
		<table border="0" width="80%" align="center" cellspacing="1" cellpadding="3" class="tborder">
			<tr class="titlebg">
				<td>', $context['page_title'], '</td>
			</tr>
			<tr>
				<td class="windowbg2">
					<table border="0" cellpadding="3" width="80%">
						<tr>
							<th style="text-align: right;">', $txt['apporovedaff'], ':</th>
							<td>
							<input type="checkbox" name="approved" ' . ( $context['affiliates']['approved'] ? ' checked="checked" ' : '') . ' /></td>
						</tr>
						<tr>
							<th style="text-align: right;">', $txt['memid'], ':</th>
							<td><input type="text" name="id_member" size="5" maxlength="100" value="', $context['affiliates']['id_member'], '" /></td>
						</tr>
						<tr>
							<th style="text-align: right;">', $txt['affiliates_field_title'], ':</th>
							<td><input type="text" name="title" size="64" maxlength="100" value="', $context['affiliates']['title'], '" /></td>
						</tr>
						<tr>
							<th style="text-align: right;">', $txt['affiliates_field_url'], ':</th>
							<td><input type="text" name="url" size="64" maxlength="100" value="', $context['affiliates']['url'], '" /></td>
						</tr>
						<tr>
							<th style="text-align: right;">', $txt['affiliates_field_gamepic'], ':</th>
							<td><input type="text" name="image" size="64" maxlength="100" value="', $context['affiliates']['image'], '" /></td>
						</tr>
						<tr>
							<th style="text-align: right;">', $txt['affiliates_field_desc'], ':</th>
							<td><input type="text" name="description" size="64" maxlength="100" value="', $context['affiliates']['description'], '" /></td>
						</tr>
						<tr>
							<td colspan="2" style="text-align: center;">
								<input type="submit" name="submit" value="', $txt['save'], '" />
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		<input type="hidden" name="editaffiliates" value="', $context['affiliates']['id'], '" />
		<input type="hidden" name="sc" value="', $context['session_id'], '" />
	</form>';
}

function template_version()
{
	global $txt, $context, $modSettings;
	
	/*echo '		
	<table border="0" cellpadding="5" cellspacing="0" align="center" width="50%" class="tborder">
      <tr class="titlebg">
         <td colspan="2">'.$txt['v_c'].'</td>
      </tr>
	   <tr> 
      <td class="windowbg2">';
	  if ($modSettings['aff_dev'] == 1)
		echo '
							<br /><div align="center"><b>'.$txt['v_c_dv'].'</b><br />
								'.$txt['v_cbd'].': ' . $modSettings['aff_build'] . ' <br />
								'.$txt['v_cb'].': ' . $modSettings['aff_build_date'] . ' </div><br />';
	  echo'
		<p>'.$txt['cversion'].': ' . $modSettings['aff_version'] . '<br />
		<strong>'.$txt['lversion'].'</strong>: <script language="JavaScript" type="text/javascript" src="http://sleepy-arcade.ath.cx/sleepy/mod_versions/aff_version.js"></script><br />
		'.$txt['smfversion'].': ' . $modSettings["smfVersion"] . '<br />
		<a href="http://custom.simplemachines.org/mods/index.php?mod=1511">'.$txt['d_sa_a'].'</a></p></td></tr>
	  <tr> 
      <td class="windowbg2">
		'.$txt['v_c1'].'
	  </td>
	      </tr>
	  </table>';*/
	  echo '
		<table width="100%" cellpadding="0" cellspacing="0" border="0" style="margin-top: 0.5em;">
			<tr>
				<td valign="top">
					<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder">
						<tr>
							<td class="titlebg">
								'.$txt['a_info2'].'
							</td>
						</tr><tr>
							<td class="windowbg2" valign="top" style="height: 18ex; padding: 0;">
								<div id="saAnnouncements" style="height: 18ex; overflow: auto; padding-right: 1ex;"><div style="margin: 4px; font-size: 0.85em;">No Live News At the moment</div></div>
							</td>
						</tr>
					</table>
				</td>
				<td style="width: 1ex;">&nbsp;</td>
				<td valign="top" style="width: 40%;">
					<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" id="saVersionsTable">
						<tr>
							<td class="titlebg">'.$txt['a_info3'].'</td>
						</tr><tr>
							<td class="windowbg2" valign="top" style="height: 18ex; line-height: 1.5em;">
								'.$txt['cversion'].':
								<i id="saYourVersion" style="white-space: nowrap;">' . $modSettings['aff_version'] . '</i><br />
								'.$txt['lversion'].':
								<i id="saCurrentVersion" style="white-space: nowrap;">??</i><br />
								<b>'.$txt['smfversion'].':</b>
								' . $modSettings["smfVersion"] . '<br />
		<a href="http://custom.simplemachines.org/mods/index.php?mod=1511">'.$txt['d_sa_a'].'</a>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		<script language="JavaScript" type="text/javascript" src="http://www.sa-mods.info/sa/current-versiona4.js"></script>
		<script language="JavaScript" type="text/javascript" src="http://www.sa-mods.info/sa/latest-newsa4.js"></script>
		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
			function saSetAnnouncements()
			{
				if (typeof(window.saAnnouncements) == "undefined" || typeof(window.saAnnouncements.length) == "undefined")
					return;

				var str = "<div style=\"margin: 4px; font-size: 0.85em;\">";

				for (var i = 0; i < window.saAnnouncements.length; i++)
				{
					str += "\n	<div style=\"padding-bottom: 2px;\"><a hre" + "f=\"" + window.saAnnouncements[i].href + "\">" + window.saAnnouncements[i].subject + "<" + "/a> ', $txt['on'], ' " + window.saAnnouncements[i].time + "<" + "/div>";
					str += "\n	<div style=\"padding-left: 2ex; margin-bottom: 1.5ex; border-top: 1px dashed;\">"
					str += "\n		" + window.saAnnouncements[i].message;
					str += "\n	<" + "/div>";
				}

				setInnerHTML(document.getElementById("saAnnouncements"), str + "<" + "/div>");
			}

			function saAnnouncementsFixHeight()
			{
				if (document.getElementById("saVersionsTable").offsetHeight)
					document.getElementById("saAnnouncements").style.height = (document.getElementById("saVersionsTable").offsetHeight - 10) + "px";
			}

			function saCurrentVersion()
			{
				var saVer, yourVer;

				if (typeof(window.saVersion) != "string")
					return;

				saVer = document.getElementById("saCurrentVersion");
				yourVer = document.getElementById("saYourVersion");

				setInnerHTML(saVer, window.saVersion);

				var currentVersion = getInnerHTML(yourVer);
				if (currentVersion != window.saVersion)
					setInnerHTML(yourVer, "<span class=\"alert\">" + currentVersion + "<" + "/span>");
			}';

		echo '

			var func = function ()
			{
				saSetAnnouncements();
				saCurrentVersion();';

		if ($context['browser']['is_ie'] && !$context['browser']['is_ie4'])
			echo '
				if (typeof(smf_codeFix) != "undefined")
					window.detachEvent("onload", smf_codeFix);
				window.attachEvent("onload",
					function ()
					{
						with (document.all.saVersionsTable)
							style.height = parentNode.offsetHeight;
					}
				);
				if (typeof(smf_codeFix) != "undefined")
					window.attachEvent("onload", smf_codeFix);';

		echo '
			}
			', !empty($context['shop']['core_compat']) ? 'add_load_event(func);' : 'addLoadEvent(func);','
		// ]]></script>';
	
	echo '
		<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 2ex;">
			<tr class="titlebg">
				<td>'.$txt['a_info4'].'</td>
			</tr><tr>
				<td class="windowbg2" style="padding: 0 10px;"><div style="line-height: 1.5em;">';
			echo '
					'.$txt['v_c1'].'';
	echo '
					<hr />
					<p style="margin: 0; padding: 1ex 0 1ex 0;">If you like my modification packages, please donate 
to support their continued development. Any amount will be greatly appreciated. Thank you!<br /><form name="_xclick" action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_xclick">
<input type="hidden" name="business" value="wdm2005@blueyonder.co.uk">
<input type="hidden" name="item_name" value="If you like my modification packages, please donate to support their continued development. Thank you!">
<input type="hidden" name="currency_code" value="GBP">
<input type="hidden" name="amount" value="">
<input type="image" src="https://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="If you like my modification packages, please donate to support their continued development. Any amount will be greatly appreciated. Thank you!">
</form></p>
				</div></td>
			</tr>
		</table>';
}

function template_affiliates_adminaffiliates() {

// Gotta global it other wise thing dont work properly
global  $context, $settings,  $scripturl, $affiliates_request, $txt,  $modSettings;
$max_width = isset($modSettings['imageresizer_max_width']) && !empty($modSettings['imageresizer_max_width']) ? $modSettings['imageresizer_max_width'] : 0;
            $max_height = isset($modSettings['imageresizer_max_height']) && !empty($modSettings['imageresizer_max_height']) ? $modSettings['imageresizer_max_height'] : 0;
	echo'<script type="text/javascript">
		<!--
		function resize(which) {
		  var elem = document.getElementById(which);
		  if (elem == undefined || elem == null) return false;
		  if (elem.width > elem.height) 
		  {
		    if (elem.width > '.$max_width.' &&  '.$max_width.' != 0) elem.width = '.$max_width.';
		  } 
		  else
		  {
		    if (elem.height > '.$max_height.' &&  '.$max_height.' != 0) elem.height = '.$max_height.';
		  }
		}// --></script>';
   echo '
<table width="80%" border="0" cellspacing="1" cellpadding="4" class="tborder"  align="center">
    <tr class="titlebg">
							<td colspan="6">', $txt['Affiliates'], '</td>
						</tr>';
	while ($row = $context['get_affiliatesa']())
     {
   echo '
	<tr>
	 <td align="center" width="10%" class="windowbg2">
         <a href="', $scripturl, '?action=admin;area=affiliates;sa=edit;editaffiliates=', $row['id_affiliates'],'">
		 <img src="', $row['image'],'" id="aff_image_', $row['id_affiliates'],'" onload="resize(\'aff_image_', $row['id_affiliates'],'\')" alt="', $row['title'],'" /></a> 
        </td>
      <td align="center" width="10%" class="windowbg2">
          <a href="', $scripturl, '?action=admin;area=affiliates;sa=edit;editaffiliates=', $row['id_affiliates'],'">', $row['title'],'</a>
        </td>
		<td align="center" width="10%" class="windowbg2">
      <a href="', $scripturl, '?action=admin;area=affiliates;sa=delete;affid=', $row['id_affiliates'],'">
	  <img src="' , $settings['images_url'] , '/delete.png" alt="', $txt['delaffili'], '" /></a>';
             if (!($row['approved'] )) {							              
	echo ' <a href="' . $scripturl . '?action=admin;area=affiliates;sa=approve;affiliates=' . $row['id_affiliates'] . '">
	<img src="' , $settings['images_url'] , '/tick.png" alt="', $txt['affiliapprove'], '" /></a>';
      }
	 if (!empty($row['approved'] )) {				
	echo ' <a href="' . $scripturl . '?action=admin;area=affiliates;sa=unapprove;affiliates=' . $row['id_affiliates'] . '">
	<img src="' , $settings['images_url'] , '/lock.png" alt="', $txt['noapaffili'], '" /></a>
	   ';
	    }
	  echo ' </td>
   </tr>
    ';
     } 
      echo ' 
	<tr class="catbg3">
            <td colspan="6"><b>', $txt['Pagesaff'], ':</b> ', $context['page_index'], '</td>
         </tr>
</table>

<br />';	

}

function template_affiliatesyb() {

// Gotta global it other wise thing dont work properly
global  $context, $settings,  $scripturl, $yb_request, $txt,  $modSettings;
	$max_width = isset($modSettings['imageresizer_max_width']) && !empty($modSettings['imageresizer_max_width']) ? $modSettings['imageresizer_max_width'] : 0;
            $max_height = isset($modSettings['imageresizer_max_height']) && !empty($modSettings['imageresizer_max_height']) ? $modSettings['imageresizer_max_height'] : 0;
	    if (!empty($max_width) || !empty($max_height))
	   echo'<script type="text/javascript">
		<!--
		function resize(which) {
		  var elem = document.getElementById(which);
		  if (elem == undefined || elem == null) return false;
		  if (elem.width > elem.height) 
		  {
		    if (elem.width > '.$max_width.' &&  '.$max_width.' != 0) elem.width = '.$max_width.';
		  } 
		  else
		  {
		    if (elem.height > '.$max_height.' &&  '.$max_height.' != 0) elem.height = '.$max_height.';
		  }
		}// --></script>';
   echo '
<table width="80%" border="0" cellspacing="1" cellpadding="4" class="tborder"  align="center">
    <tr class="titlebg">
							<td colspan="6">', $txt['YourBanners'], '</td>
						</tr>';
	while ($row = $context['get_affiliatesyb']())
     {
   echo '
	<tr>
	 <td align="center" width="10%" class="windowbg2">
         <img src="', $row['image'],'" id="aff_image_', $row['id'],'" onload="resize(\'aff_image_', $row['id'],'\')" alt="" />
        </td>
		<td align="center" width="10%" class="windowbg2">
      <a href="', $scripturl, '?action=admin;area=affiliates;sa=deleteyb;affiliates=', $row['id'],'">
	  <img src="' , $settings['images_url'] , '/delete.png" alt="', $txt['delaffili'], '" /></a>
        </td>
   </tr>';
     } 
      echo ' 
	
</table>

<br />';
echo '
	<form action="', $scripturl, '?action=admin;area=affiliates;save;sa=addyb" method="post" accept-charset="', $context['character_set'], '">
		<table border="0" width="80%" align="center" cellspacing="1" cellpadding="3" class="tborder">
			<tr class="titlebg">
				<td>', $txt['AddYourBanners'], '</td>
			</tr>
			<tr>
				<td class="windowbg2">
					<table border="0" cellpadding="3" width="80%">
						<tr>
							<th style="text-align: right;">', $txt['YourBannerURL'], ':</th>
							<td><input type="text" name="image" size="64" maxlength="100" value="http://" /></td>
						</tr>
						<tr>
							<td colspan="2" style="text-align: center;">
								<input type="submit" name="submit" value="', $txt['save'], '" />
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		<input type="hidden" name="affiliates" value="Add Banner" />
		<input type="hidden" name="sc" value="', $context['session_id'], '" />
	</form>';	

}
//Affiliates End
?>