<?php
/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is http://www.sa-mods.info
 *
 * The Initial Developer of the Original Code is
 * wayne Mankertz.
 * Portions created by the Initial Developer are Copyright (C) 2008-2011
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * ***** END LICENSE BLOCK ***** */

global $txt, $smcFunc, $db_prefix, $modSettings;
global $project_version, $addSettings, $permissions, $tables, $sourcedir;

if (!defined('SMF'))
	require '../SSI.php';
	
remove_integration_function('integrate_pre_include', '$boarddir/Sources/AffiliateHooks.php');
remove_integration_function('integrate_actions', 'Affiliate_actions');
remove_integration_function('integrate_core_features', 'Affiliate_core_features');
remove_integration_function('integrate_load_permissions', 'Affiliate_load_permissions');
remove_integration_function('integrate_menu_buttons', 'Affiliate_menu_buttons');
remove_integration_function('integrate_admin_areas', 'Affiliate_admin_areas');

?>